package iot.lidee.sip.service;

import iot.lidee.common.core.thingsModel.ThingsModelSimpleItem;
import iot.lidee.sip.domain.SipDevice;
import iot.lidee.sip.domain.SipDeviceChannel;
import iot.lidee.sip.model.RecordList;
import iot.lidee.sip.server.msg.Alarm;

import java.util.List;

public interface IMqttService {
    void publishInfo(SipDevice device);
    void publishStatus(SipDevice device, int deviceStatus);
    void publishEvent(Alarm alarm);
    void publishProperty(Long productId, String deviceNum, List<ThingsModelSimpleItem> thingsList, int delay);
    void publishChannelsProperty(String DeviceSipId, List<SipDeviceChannel> channels);
    void publishRecordsProperty(String DeviceSipId, RecordList recordList);
}
